NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::Features::ConcaveFacesBuilder Class Reference

Represents a Concave Faces builder. More...

Inheritance diagram for NXOpen::Features::ConcaveFacesBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Member Functions

double AngleTolerance ()
 Returns the angle tolerance. More...
 
NXOpen::NXColorAttributeColor ()
 Returns the color to be applied to the face. More...
 
NXString AttributeTitle ()
 Returns the title if the face attribute. More...
 
NXString AttributeValue ()
 Returns the value of the face attribute title. More...
 
void CalculatePointCurvature (NXOpen::Face *faceId, const NXOpen::Point3d &point, double *radius, double *minRadius, double *maxRadius)
 The radius values at the point selected on a targeted face, the maximum and minimum radius of the targeted face. More...
 
double DistanceTolerance ()
 Returns the distance tolerance. More...
 
NXOpen::DirectionDrawDirection ()
 Returns the vector representing the draw direction. More...
 
NXOpen::ScCollectorFaces ()
 Returns the collection of all the possible faces. More...
 
double GroupInterval ()
 Returns the group interval value. More...
 
NXOpen::ExpressionLower ()
 Returns the lower limit of the maximum concave range. More...
 
bool ReverseNormalDirection ()
 Returns the reverse normal direction switch
Created in NX8.5.0. More...
 
int SamplePoints ()
 Returns the number of sample points to apply to the analysis. More...
 
void SetAngleTolerance (double angleTolerance)
 Sets the angle tolerance. More...
 
void SetAttributeColor (NXOpen::NXColor *attributeColor)
 Sets the color to be applied to the face. More...
 
void SetAttributeTitle (const NXString &attributeTitle)
 Sets the title if the face attribute. More...
 
void SetAttributeTitle (const char *attributeTitle)
 Sets the title if the face attribute. More...
 
void SetAttributeValue (const NXString &attributeValue)
 Sets the value of the face attribute title. More...
 
void SetAttributeValue (const char *attributeValue)
 Sets the value of the face attribute title. More...
 
void SetDistanceTolerance (double distanceTolerance)
 Sets the distance tolerance. More...
 
void SetDrawDirection (NXOpen::Direction *drawDirection)
 Sets the vector representing the draw direction. More...
 
void SetFaceAttributeColor (NXOpen::NXColor *attributeColor)
 Set the color ID for the specified face in tree list
Created in NX12.0.0. More...
 
void SetFaceGroupAttributeTitle (const NXString &grpAttributeTitle)
 Set face group attribute title. More...
 
void SetFaceGroupAttributeTitle (const char *grpAttributeTitle)
 Set face group attribute title. More...
 
void SetFaceGroupAttributeValue (const NXString &grpAttributeValue)
 Set face group attribute value. More...
 
void SetFaceGroupAttributeValue (const char *grpAttributeValue)
 Set face group attribute value. More...
 
void SetGroupInterval (double interval)
 Sets the group interval value. More...
 
void SetReverseNormalDirection (bool reverseNormalDirection)
 Sets the reverse normal direction switch
Created in NX8.5.0. More...
 
void SetSamplePoints (int samplePoints)
 Sets the number of sample points to apply to the analysis. More...
 
void SetTreeSelectedIndex (const std::vector< int > &indexArray)
 Set face indexes in tree list. More...
 
void SetUseSurfaceNormal (bool useSuraceNormal)
 Sets the surface normal vector toggle
Created in NX8.5.0. More...
 
void UpdateLocationLabel (bool edit, NXOpen::Point *point)
 The PMI as a location label created or edited at the point selected on a face. More...
 
void UpdateRadiusFaces ()
 The targeted faces updated according to the given radius range, number of sample point and group interval changing. More...
 
void UpdateSelectedFacesColor ()
 Update selected faces color. More...
 
NXOpen::ExpressionUpper ()
 Returns the upper limit of the maximum concave range. More...
 
bool UseSurfaceNormal ()
 Returns the surface normal vector toggle
Created in NX8.5.0. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a Concave Faces builder.

These are faces which are concave with respect to the draw direction and whose maximum radii is within the specified range.
To create a new instance of this class, use NXOpen::Features::FeatureCollection::CreateConcaveFacesBuilder
Default values.

Property Value

Lower.Value

3 (millimeters part), 0.118 (inches part)

SamplePoints

4

Upper.Value

6 (millimeters part), 0.236 (inches part)


Created in NX7.5.0.

Member Function Documentation

double NXOpen::Features::ConcaveFacesBuilder::AngleTolerance ( )

Returns the angle tolerance.


Created in NX7.5.0.

License requirements : None

NXOpen::NXColor* NXOpen::Features::ConcaveFacesBuilder::AttributeColor ( )

Returns the color to be applied to the face.


Created in NX7.5.0.

License requirements : None

NXString NXOpen::Features::ConcaveFacesBuilder::AttributeTitle ( )

Returns the title if the face attribute.


Created in NX7.5.0.

License requirements : None

NXString NXOpen::Features::ConcaveFacesBuilder::AttributeValue ( )

Returns the value of the face attribute title.


Created in NX7.5.0.

License requirements : None

void NXOpen::Features::ConcaveFacesBuilder::CalculatePointCurvature ( NXOpen::Face faceId,
const NXOpen::Point3d point,
double *  radius,
double *  minRadius,
double *  maxRadius 
)

The radius values at the point selected on a targeted face, the maximum and minimum radius of the targeted face.


Created in NX9.0.0.

License requirements : None

Parameters
faceIdthe targeted face
pointthe point selected on targeted face
radiusthe value at point selected
minRadiusthe minimum value of targeted face
maxRadiusthe maximum value of targeted face
double NXOpen::Features::ConcaveFacesBuilder::DistanceTolerance ( )

Returns the distance tolerance.


Created in NX7.5.0.

License requirements : None

NXOpen::Direction* NXOpen::Features::ConcaveFacesBuilder::DrawDirection ( )

Returns the vector representing the draw direction.


Created in NX7.5.0.

License requirements : None

NXOpen::ScCollector* NXOpen::Features::ConcaveFacesBuilder::Faces ( )

Returns the collection of all the possible faces.


Created in NX7.5.0.

License requirements : None

double NXOpen::Features::ConcaveFacesBuilder::GroupInterval ( )

Returns the group interval value.


Created in NX9.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Features::ConcaveFacesBuilder::Lower ( )

Returns the lower limit of the maximum concave range.


Created in NX7.5.0.

License requirements : None

bool NXOpen::Features::ConcaveFacesBuilder::ReverseNormalDirection ( )

Returns the reverse normal direction switch
Created in NX8.5.0.



License requirements : None

int NXOpen::Features::ConcaveFacesBuilder::SamplePoints ( )

Returns the number of sample points to apply to the analysis.


Created in NX7.5.0.

License requirements : None

void NXOpen::Features::ConcaveFacesBuilder::SetAngleTolerance ( double  angleTolerance)

Sets the angle tolerance.


Created in NX7.5.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
angleToleranceangletolerance
void NXOpen::Features::ConcaveFacesBuilder::SetAttributeColor ( NXOpen::NXColor attributeColor)

Sets the color to be applied to the face.


Created in NX7.5.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
attributeColorattributecolor
void NXOpen::Features::ConcaveFacesBuilder::SetAttributeTitle ( const NXString attributeTitle)

Sets the title if the face attribute.


Created in NX7.5.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
attributeTitleattributetitle
void NXOpen::Features::ConcaveFacesBuilder::SetAttributeTitle ( const char *  attributeTitle)

Sets the title if the face attribute.


Created in NX7.5.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
attributeTitleattributetitle
void NXOpen::Features::ConcaveFacesBuilder::SetAttributeValue ( const NXString attributeValue)

Sets the value of the face attribute title.


Created in NX7.5.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
attributeValueattributevalue
void NXOpen::Features::ConcaveFacesBuilder::SetAttributeValue ( const char *  attributeValue)

Sets the value of the face attribute title.


Created in NX7.5.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
attributeValueattributevalue
void NXOpen::Features::ConcaveFacesBuilder::SetDistanceTolerance ( double  distanceTolerance)

Sets the distance tolerance.


Created in NX7.5.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
distanceTolerancedistancetolerance
void NXOpen::Features::ConcaveFacesBuilder::SetDrawDirection ( NXOpen::Direction drawDirection)

Sets the vector representing the draw direction.


Created in NX7.5.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
drawDirectiondrawdirection
void NXOpen::Features::ConcaveFacesBuilder::SetFaceAttributeColor ( NXOpen::NXColor attributeColor)

Set the color ID for the specified face in tree list
Created in NX12.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
attributeColorattributecolor
void NXOpen::Features::ConcaveFacesBuilder::SetFaceGroupAttributeTitle ( const NXString grpAttributeTitle)

Set face group attribute title.


Created in NX12.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
grpAttributeTitlegrpattributetitle
void NXOpen::Features::ConcaveFacesBuilder::SetFaceGroupAttributeTitle ( const char *  grpAttributeTitle)

Set face group attribute title.


Created in NX12.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
grpAttributeTitlegrpattributetitle
void NXOpen::Features::ConcaveFacesBuilder::SetFaceGroupAttributeValue ( const NXString grpAttributeValue)

Set face group attribute value.


Created in NX12.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
grpAttributeValuegrpattributevalue
void NXOpen::Features::ConcaveFacesBuilder::SetFaceGroupAttributeValue ( const char *  grpAttributeValue)

Set face group attribute value.


Created in NX12.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
grpAttributeValuegrpattributevalue
void NXOpen::Features::ConcaveFacesBuilder::SetGroupInterval ( double  interval)

Sets the group interval value.


Created in NX9.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
intervalinterval
void NXOpen::Features::ConcaveFacesBuilder::SetReverseNormalDirection ( bool  reverseNormalDirection)

Sets the reverse normal direction switch
Created in NX8.5.0.



License requirements : None

Parameters
reverseNormalDirectionreversenormaldirection
void NXOpen::Features::ConcaveFacesBuilder::SetSamplePoints ( int  samplePoints)

Sets the number of sample points to apply to the analysis.


Created in NX7.5.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
samplePointssamplepoints
void NXOpen::Features::ConcaveFacesBuilder::SetTreeSelectedIndex ( const std::vector< int > &  indexArray)

Set face indexes in tree list.


Created in NX12.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
indexArrayindexarray
void NXOpen::Features::ConcaveFacesBuilder::SetUseSurfaceNormal ( bool  useSuraceNormal)

Sets the surface normal vector toggle
Created in NX8.5.0.



License requirements : None

Parameters
useSuraceNormalusesuracenormal
void NXOpen::Features::ConcaveFacesBuilder::UpdateLocationLabel ( bool  edit,
NXOpen::Point point 
)

The PMI as a location label created or edited at the point selected on a face.


Created in NX9.0.0.

License requirements : None

Parameters
editIf true edit PMI, false create PMI
pointthe point selected on targeted face
void NXOpen::Features::ConcaveFacesBuilder::UpdateRadiusFaces ( )

The targeted faces updated according to the given radius range, number of sample point and group interval changing.


Created in NX9.0.0.

License requirements : None

void NXOpen::Features::ConcaveFacesBuilder::UpdateSelectedFacesColor ( )

Update selected faces color.


Created in NX12.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

NXOpen::Expression* NXOpen::Features::ConcaveFacesBuilder::Upper ( )

Returns the upper limit of the maximum concave range.


Created in NX7.5.0.

License requirements : None

bool NXOpen::Features::ConcaveFacesBuilder::UseSurfaceNormal ( )

Returns the surface normal vector toggle
Created in NX8.5.0.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.